package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaOperationRule;
import com.ruoyi.oa.domain.vo.OaOperationRuleVo;
import com.ruoyi.oa.domain.bo.OaOperationRuleBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 运营中心制度管理Service接口
 *
 * @author ruoyi
 * @date 2025-10-22
 */
public interface IOaOperationRuleService {

    /**
     * 查询运营中心制度管理
     */
    OaOperationRuleVo queryById(Long ruleId);

    /**
     * 查询运营中心制度管理列表
     */
    TableDataInfo<OaOperationRuleVo> queryPageList(OaOperationRuleBo bo, PageQuery pageQuery);

    /**
     * 查询运营中心制度管理列表
     */
    List<OaOperationRuleVo> queryList(OaOperationRuleBo bo);

    /**
     * 新增运营中心制度管理
     */
    Boolean insertByBo(OaOperationRuleBo bo);

    /**
     * 修改运营中心制度管理
     */
    Boolean updateByBo(OaOperationRuleBo bo);

    /**
     * 校验并批量删除运营中心制度管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
